Get Price - Flex Documentation
Get Price
cURL
curl --request GET \
--url https://api.withflex.com/v1/prices/{id} \
--header 'Authorization: Bearer <token>'
Python
import requests
url = "https://api.withflex.com/v1/prices/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)
JavaScript
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.withflex.com/v1/prices/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP


HTTP Status Codes
- 200: Successfully obtained price data.
- 401: Unauthorized.
- 403: Forbidden.
- 404: Not found.
- 409: Conflict.
- 422: Unprocessable entity.
- 429: Too many requests.
Example Response
{
"price": {
"price_id": "fprice_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"owner_partner_id": "facct_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"description": "Premium SPF 50 mineral sunscreen",
"unit_amount": 0,
"recurring": {},
"active": false,
"product": "fprod_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"created_at": "2026-06-15T14:30:00Z",
"type": "one_time",
"metadata": {
"order_id": "8842",
"channel": "shopify"
},
"hsa_fsa_eligibility": "not_eligible",
"test_mode": false
}
}
Error Response Format
{
"code": "string",
"detail": "string"
}
Authorizations
- Authorization: string, header, required: Use a Bearer token to access this API.
Path Parameters
- id: string, required, Example: "fprice_01J9XR8M3K7VZ8N2YB4WJ6T0RA"
Query Parameters
- expand_product: boolean | null, If true, expands the product object in the response. Example: false.
Response
200 application/json An envelope wrapping a single price object.